Bug 1075219 - curl random tests failure on ppc64le
curl random tests failure on ppc64le
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
PowerPC Other
: P5 - None : Normal (vote)
: ---
Assigned To: Pedro Monreal Gonzalez
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-09 17:50 UTC by Michel Normand
Modified: 2018-03-07 08:00 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
curl_obs_ring1_failure.20180109.log (360.53 KB, text/x-log)
2018-01-09 17:50 UTC, Michel Normand
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Normand 2018-01-09 17:50:46 UTC
Created attachment 755401 [details]
curl_obs_ring1_failure.20180109.log

curl failure of test 1501 on ppc64le

as reported in OBS (1)

(1) https://build.opensuse.org/package/live_build_log/openSUSE:Factory:PowerPC:Rings:1-MinimalX/curl/standard/ppc64le
===
test 1501...[FTP with multi interface and slow LIST response ]
 
lib1501 returned 100, when expecting 0
 exit FAILED
===
Comment 1 Pedro Monreal Gonzalez 2018-01-24 12:43:16 UTC
Hello, Michel. Thanks for reporting the bug and submitting a fix. It will appear in the next update. I'll close the bug once released.
Comment 2 Michel Normand 2018-01-25 12:48:25 UTC
in fact the failure is not only test 1501, but random failing tests when trying osc build in loop (on a ppc64le host)
===
[michel@abanc:~/work/openSUSE:Factory:PowerPC:Rings:1-MinimalX/curl]
$idx=1; while test 1; do echo "trial $idx:"; osc build --vm-type kvm -j 8 --threads 4 --clean  >/tmp/curl_trial3_${idx}.log 2>&1 || break; ((idx++)); done
===
$grep -Hn TESTFAIL /tmp/curl_trial*log
/tmp/curl_trial10_14.log:4246:[ 1419s] TESTFAIL: These test cases failed: 575 714 1238 
/tmp/curl_trial11_5.log:4251:[  723s] TESTFAIL: These test cases failed: 1321 
/tmp/curl_trial2_3.log:4244:[  578s] TESTFAIL: These test cases failed: 1319 
/tmp/curl_trial3_10.log:4243:[  686s] TESTFAIL: These test cases failed: 1525 
/tmp/curl_trial4_16.log:4242:[  641s] TESTFAIL: These test cases failed: 1206 
/tmp/curl_trial5_12.log:4241:[  600s] TESTFAIL: These test cases failed: 1207 
/tmp/curl_trial6_20.log:4283:[  919s] TESTFAIL: These test cases failed: 592 
/tmp/curl_trial7_33.log:4295:[ 1114s] TESTFAIL: These test cases failed: 1388 
/tmp/curl_trial8_3.log:4232:[ 1204s] TESTFAIL: These test cases failed: 591 
/tmp/curl_trial9_13.log:4438:[ 1146s] TESTFAIL: These test cases failed: 576 
===

So as BYPASS ONLY I submit a request to ignore failing tests for PowerPC
https://build.opensuse.org/request/show/569503
Comment 3 Pedro Monreal Gonzalez 2018-01-25 15:37:41 UTC
Thanks! I resubmitted adding the name of the patch to the changelog.